{ "swagger": "2.0", "info": { "title": "BusUp API", "description": "BusUp API version 2", "contact": { "email": "christian@busup.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "host": "api.busup.local", "basePath": "/v2", "schemes": [ "http" ], "paths": { "/credit_memos": { "get": { "tags": [ "Credit Memos" ], "summary": "Find All credits", "description": "Returns all credits", "operationId": "index", "produces": [ "application/xml", "application/json" ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "credits not found" } } } }, "/credit_memos/{credit_memo}": { "get": { "tags": [ "Credit Memos" ], "summary": "Find a specific credit memo", "description": "Returns a specific credit memo", "operationId": "index", "produces": [ "application/xml", "application/json" ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "credits not found" } } } }, "/invoices": { "get": { "tags": [ "Invoices" ], "summary": "Find All invoices", "description": "Returns all invoices", "operationId": "index", "produces": [ "application/xml", "application/json" ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "credits not found" } } } }, "/invoices/{invoice}": { "get": { "tags": [ "Invoices" ], "summary": "Find a specific invoice", "description": "Returns a specific invoice", "operationId": "index", "produces": [ "application/xml", "application/json" ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "credits not found" } } } }, "/orders": { "get": { "tags": [ "Orders" ], "summary": "Find All orders", "description": "Returns all orders", "operationId": "index", "produces": [ "application/xml", "application/json" ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "credits not found" } } } }, "/orders/{order}": { "get": { "tags": [ "Orders" ], "summary": "Find a specific order", "description": "Returns a specific order", "operationId": "Show", "produces": [ "application/xml", "application/json" ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "credits not found" } } } }, "commuting/companies": { "get": { "tags": [ "Commuting Companies" ], "summary": "Find All companies of commuting", "description": "Returns all comuting companies", "operationId": "index", "produces": [ "application/xml", "application/json" ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "credits not found" } } } }, "/commuting/company/{commutingCompany}": { "get": { "tags": [ "Commuting Companies" ], "summary": "Find a specific company of commuting", "description": "Returns a specific company of commuting", "operationId": "Show", "produces": [ "application/xml", "application/json" ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "credits not found" } } } }, "commuting/allCompanies": { "get": { "tags": [ "Commuting Companies" ], "summary": "Find All companies of commuting", "description": "Returns all comuting companies", "operationId": "Index", "produces": [ "application/xml", "application/json" ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "credits not found" } } } }, "/commuting/employees": { "get": { "tags": [ "Commuting Employees" ], "summary": "Find all Employees", "description": "Returns all Employees of Commuting", "operationId": "index", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "filter.*.attribute", "in": "path", "description": "Filter Attribute. Ex: id", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.operator", "in": "path", "description": "Filter Operator. Ex: =", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.value", "in": "path", "description": "Filter Value. Ex: 1", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.scope", "in": "path", "description": "Filter Scope. Ex: local", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "included", "in": "path", "description": "Include model relationships", "required": false, "type": "string" }, { "name": "per_page", "in": "path", "description": "Load N entries per page", "required": false, "type": "integer" }, { "name": "page", "in": "path", "description": "Load page N", "required": false, "type": "integer" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model, Method or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/commuting/employee/{id}": { "get": { "tags": [ "Commuting Employees" ], "summary": "Find a specific Employee", "description": "Returns a specific Employee", "operationId": "show", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "id", "in": "path", "description": "The ID of the Employee", "required": true, "type": "integer" }, { "name": "included", "in": "path", "description": "Include model relationships", "required": false, "type": "string" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/commuting/routes/{route_id}/rates": { "get": { "tags": [ "Route Rate" ], "summary": "Find all Route Rates", "description": "Returns all Rates of a Route", "operationId": "index", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "filter.*.attribute", "in": "path", "description": "Filter Attribute. Ex: id", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.operator", "in": "path", "description": "Filter Operator. Ex: =", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.value", "in": "path", "description": "Filter Value. Ex: 1", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.scope", "in": "path", "description": "Filter Scope. Ex: local", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "included", "in": "path", "description": "Include model relationships", "required": false, "type": "string" }, { "name": "per_page", "in": "path", "description": "Load N entries per page", "required": false, "type": "integer" }, { "name": "page", "in": "path", "description": "Load page N", "required": false, "type": "integer" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/commuting/route-rates/{id}": { "get": { "tags": [ "Commuting Employees" ], "summary": "Find a specific Route Rate", "description": "Returns a specific Rate of a Route", "operationId": "show", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "id", "in": "path", "description": "The ID of the Route Rate", "required": true, "type": "integer" }, { "name": "included", "in": "path", "description": "Include model relationships", "required": false, "type": "string" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/companies": { "get": { "tags": [ "Leisure Companies" ], "summary": "Find All companies of leisure", "description": "Returns all leisure companies", "operationId": "index", "produces": [ "application/xml", "application/json" ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "credits not found" } } } }, "/companies/{companyResource}": { "get": { "tags": [ "Leisure Companies" ], "summary": "Find a specific company of leisure", "description": "Returns a specific leisure company", "operationId": "Show", "produces": [ "application/xml", "application/json" ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "credits not found" } } } }, "/countries": { "get": { "tags": [ "Countries" ], "summary": "Find all the conuntries", "description": "Returns all countries", "operationId": "index", "produces": [ "application/xml", "application/json" ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "credits not found" } } } }, "/promoters": { "get": { "tags": [ "Promoters" ], "summary": "Find all the promoters", "description": "Returns all the promoters", "operationId": "index", "produces": [ "application/xml", "application/json" ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "credits not found" } } } }, "/promoters/{promoter}": { "get": { "tags": [ "Promoters" ], "summary": "Find a speficic promoter", "description": "Returns a specific promoter", "operationId": "Show", "produces": [ "application/xml", "application/json" ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "credits not found" } } } }, "/routes": { "get": { "tags": [ "Routes" ], "summary": "Find all Routes", "description": "Returns all Routes", "operationId": "index", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "filter.*.attribute", "in": "path", "description": "Filter Attribute. Ex: id", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.operator", "in": "path", "description": "Filter Operator. Ex: =", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.value", "in": "path", "description": "Filter Value. Ex: 1", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.scope", "in": "path", "description": "Filter Scope. Ex: local", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.relation", "in": "path", "description": "Filter Relation. Ex: services", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "included", "in": "path", "description": "Include model relationships", "required": false, "type": "string" }, { "name": "per_page", "in": "path", "description": "Load N entries per page", "required": false, "type": "integer" }, { "name": "page", "in": "path", "description": "Load page N", "required": false, "type": "integer" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model, Method or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/routes/{id}": { "get": { "tags": [ "Routes" ], "summary": "Find a specific Route", "description": "Returns a specific Route", "operationId": "show", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "id", "in": "path", "description": "The ID of the Route", "required": true, "type": "integer" }, { "name": "included", "in": "path", "description": "Include model relationships", "required": false, "type": "string" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/routes/{id}/stops": { "get": { "tags": [ "Routes" ], "summary": "Find all Route Stops", "description": "Returns all Stops of a Route", "operationId": "stops", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "id", "in": "path", "description": "The ID of the Route", "required": true, "type": "integer" }, { "name": "filter.*.attribute", "in": "path", "description": "Filter Attribute. Ex: id", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.operator", "in": "path", "description": "Filter Operator. Ex: =", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.value", "in": "path", "description": "Filter Value. Ex: 1", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.scope", "in": "path", "description": "Filter Scope. Ex: local", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "included", "in": "path", "description": "Include model relationships", "required": false, "type": "string" }, { "name": "per_page", "in": "path", "description": "Load N entries per page", "required": false, "type": "integer" }, { "name": "page", "in": "path", "description": "Load page N", "required": false, "type": "integer" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model, Method or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/routes/{id}/services": { "get": { "tags": [ "Routes" ], "summary": "Find all Route Services", "description": "Returns all Services of a Route", "operationId": "services", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "id", "in": "path", "description": "The ID of the Route", "required": true, "type": "integer" }, { "name": "filter.*.attribute", "in": "path", "description": "Filter Attribute. Ex: id", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.operator", "in": "path", "description": "Filter Operator. Ex: =", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.value", "in": "path", "description": "Filter Value. Ex: 1", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.scope", "in": "path", "description": "Filter Scope. Ex: local", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "included", "in": "path", "description": "Include model relationships", "required": false, "type": "string" }, { "name": "per_page", "in": "path", "description": "Load N entries per page", "required": false, "type": "integer" }, { "name": "page", "in": "path", "description": "Load page N", "required": false, "type": "integer" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model, Method or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/routes/{id}/calendar": { "get": { "tags": [ "Routes" ], "summary": "Get the Calendar day", "description": "Returns all Calendar days of a Route", "operationId": "calendar", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "id", "in": "path", "description": "The ID of the Route", "required": true, "type": "integer" }, { "name": "from", "in": "path", "description": "To start from a specific date", "required": false, "type": "string" }, { "name": "per_page", "in": "path", "description": "Load N entries per page", "required": false, "type": "integer" }, { "name": "page", "in": "path", "description": "Load page N", "required": false, "type": "integer" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model, Method or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/route_stops/{id}": { "get": { "tags": [ "Route Stops" ], "summary": "Find a specific Route Stop", "description": "Returns a specific Stop of a Route", "operationId": "show", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "id", "in": "path", "description": "The ID of the Route Stop", "required": true, "type": "integer" }, { "name": "included", "in": "path", "description": "Include model relationships", "required": false, "type": "string" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/v2/student/{student}/check-in": { "post": { "tags": [ "Student" ], "summary": "Check In Student", "description": "Check In Student", "operationId": "CheckIn", "produces": [ "application/xml", "application/json" ], "parameters": [ { "name": "service_id", "in": "body", "description": "Id service", "required": true, "schema": { "type": "integer" }, "format": "int64" }, { "name": "route_stop_id", "in": "body", "description": "Id route stop", "required": true, "schema": { "type": "integer" }, "format": "int64" }, { "name": "timestamp", "in": "body", "description": "timestamp", "required": true, "schema": { "type": "string" }, "format": "date" }, { "name": "included", "in": "query", "description": "includes relations", "required": false, "type": "string" } ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "Pet not found" } }, "security": [ { "api_key": [] } ] } }, "/v2/student/create": { "post": { "tags": [ "Student" ], "summary": "Create Student", "description": "Create Student", "operationId": "CreateStudent", "produces": [ "application/xml", "application/json" ], "parameters": [ { "name": "route_stop_id", "in": "body", "description": "Id route stop", "required": true, "schema": { "type": "integer" }, "format": "int64" }, { "name": "firstname", "in": "body", "description": "firstname student", "required": true, "schema": { "type": "string" } }, { "name": "lastname", "in": "body", "description": "lastname student", "required": true, "schema": { "type": "string" } }, { "name": "included", "in": "query", "description": "includes relations", "required": false, "type": "string" } ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "Pet not found" } }, "security": [ { "api_key": [] } ] } }, "/students": { "get": { "tags": [ "Student" ], "summary": "Find all Studens", "description": "Returns all Students", "operationId": "index", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "filter.*.attribute", "in": "path", "description": "Filter Attribute. Ex: id", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.operator", "in": "path", "description": "Filter Operator. Ex: =", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.value", "in": "path", "description": "Filter Value. Ex: 1", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.scope", "in": "path", "description": "Filter Scope. Ex: local", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "included", "in": "path", "description": "Include model relationships", "required": false, "type": "string" }, { "name": "per_page", "in": "path", "description": "Load N entries per page", "required": false, "type": "integer" }, { "name": "page", "in": "path", "description": "Load page N", "required": false, "type": "integer" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model, Method or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/v2/check-in/{check_in}": { "post": { "tags": [ "CheckIn" ], "summary": "Delete Check In Student", "description": "Delete Check In Student", "operationId": "DeleteCheckIn", "produces": [ "application/xml", "application/json" ], "parameters": [ { "name": "check-in", "in": "path", "description": "Id check in", "required": true, "type": "integer", "format": "int64" } ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "Pet not found" } }, "security": [ { "api_key": [] } ] } }, "v2/tickets/consumptions": { "get": { "tags": [ "Consumptions" ], "summary": "Find All Consumptions", "description": "Returns all Ticket Consumtions", "operationId": "index", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "admin_id", "in": "path", "description": "The ID of the Admin user that performs the action", "required": true, "type": "integer" }, { "name": "sites", "in": "path", "description": "Comma separated Commuting Site IDs. Ex: 1,2", "required": true, "type": "string" }, { "name": "dates", "in": "path", "description": "Start and End dates separated by comma. Same dates means filter by this day. Ex: YYYY-MM-DD,YYYY-MM-DD", "required": true, "type": "string" }, { "name": "companies", "in": "path", "description": "Comma separated Company IDs. Ex: 1,2", "required": false, "type": "string" }, { "name": "cost_centers", "in": "path", "description": "Comma separated Cost Center IDs. Ex: 1,2", "required": false, "type": "string" }, { "name": "route_code", "in": "path", "description": "Comma separated Route codes. Ex: AAAAA,BBBBB", "required": false, "type": "string" }, { "name": "route_title", "in": "path", "description": "Comma separated Route titles. Ex: Route title 1,Route title 2", "required": false, "type": "string" }, { "name": "error", "in": "path", "description": "Consumptions with errors. Ex: 1/0", "required": false, "type": "string" }, { "name": "error_type", "in": "path", "description": "Comma separated Consumptions Error types. Ex: app.route_invalid,app.without_consumptions", "required": false, "type": "string" }, { "name": "search_by", "in": "path", "description": "Filter by: email/name/surname/service_id/worker_id/subscription_id", "required": false, "type": "string" }, { "name": "sort", "in": "path", "description": "Sort ASC / DESC by date. Ex: date / -date", "required": false, "type": "string" }, { "name": "per_page", "in": "path", "description": "Load N entries per page. Default: 25", "required": false, "type": "integer" }, { "name": "page", "in": "path", "description": "Load page N", "required": false, "type": "integer" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/sites": { "get": { "tags": [ "Sites" ], "summary": "Find all Sites", "description": "Returns all Sites", "operationId": "index", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "filter.*.attribute", "in": "path", "description": "Filter Attribute. Ex: id", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.operator", "in": "path", "description": "Filter Operator. Ex: =", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.value", "in": "path", "description": "Filter Value. Ex: 1", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.scope", "in": "path", "description": "Filter Scope. Ex: local", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "included", "in": "path", "description": "Include model relationships", "required": false, "type": "string" }, { "name": "per_page", "in": "path", "description": "Load N entries per page", "required": false, "type": "integer" }, { "name": "page", "in": "path", "description": "Load page N", "required": false, "type": "integer" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model, Method or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/sites/{id}": { "get": { "tags": [ "Sites" ], "summary": "Find a specific Site", "description": "Returns a specific Site", "operationId": "show", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "id", "in": "path", "description": "The ID of the Site", "required": true, "type": "integer" }, { "name": "included", "in": "path", "description": "Include model relationships", "required": false, "type": "string" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/sites/vertical/commuting": { "get": { "tags": [ "Commuting Sites" ], "summary": "Find all Commuting Sites", "description": "Returns all Sites of Commuting", "operationId": "index", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "filter.*.attribute", "in": "path", "description": "Filter Attribute. Ex: id", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.operator", "in": "path", "description": "Filter Operator. Ex: =", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.value", "in": "path", "description": "Filter Value. Ex: 1", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.scope", "in": "path", "description": "Filter Scope. Ex: local", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "included", "in": "path", "description": "Include model relationships", "required": false, "type": "string" }, { "name": "per_page", "in": "path", "description": "Load N entries per page", "required": false, "type": "integer" }, { "name": "page", "in": "path", "description": "Load page N", "required": false, "type": "integer" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model, Method or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/sites/vertical/commuting/{id}": { "get": { "tags": [ "Commuting Sites" ], "summary": "Find a specific Commuting Site", "description": "Returns a specific Site of Commuting", "operationId": "show", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "id", "in": "path", "description": "The ID of the Commuting Site", "required": true, "type": "integer" }, { "name": "included", "in": "path", "description": "Include model relationships", "required": false, "type": "string" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/sites/vertical/commuting/{id}/routes": { "get": { "tags": [ "Commuting Sites" ], "summary": "Find all Routes from a specific Commuting Site", "description": "Returns all Routes from a specific Site of Commuting", "operationId": "routes", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "id", "in": "path", "description": "The ID of the Commuting Site", "required": true, "type": "integer" }, { "name": "filter.*.attribute", "in": "path", "description": "Filter Attribute. Ex: id", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.operator", "in": "path", "description": "Filter Operator. Ex: =", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.value", "in": "path", "description": "Filter Value. Ex: 1", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.scope", "in": "path", "description": "Filter Scope. Ex: local", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "included", "in": "path", "description": "Include model relationships", "required": false, "type": "string" }, { "name": "per_page", "in": "path", "description": "Load N entries per page", "required": false, "type": "integer" }, { "name": "page", "in": "path", "description": "Load page N", "required": false, "type": "integer" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/getTrackpointsRoutes": { "get": { "tags": [ "Commuting Sites" ], "summary": "Find All the sites of commuting ", "description": "Returns all the sites of commuting", "operationId": "index", "produces": [ "application/xml", "application/json" ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "Pet not found" } } } }, "/getStopsRequests": { "get": { "tags": [ "Commuting Sites" ], "summary": "Find All the sites of commuting ", "description": "Returns all the sites of commuting", "operationId": "index", "produces": [ "application/xml", "application/json" ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "Pet not found" } } } }, "/sites/vertical/leisure": { "get": { "tags": [ "Commuting Sites" ], "summary": "Find All the sites of leisure ", "description": "Returns all the sites of leisure", "operationId": "index", "produces": [ "application/xml", "application/json" ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "Pet not found" } } } }, "/sites/vertical/leisure/{company_event}": { "get": { "tags": [ "Commuting Sites" ], "summary": "Find a specific site of leisure ", "description": "Returns a specific site of leisure", "operationId": "Show", "produces": [ "application/xml", "application/json" ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "Pet not found" } } } }, "/users/{user}/billing_information": { "get": { "tags": [ "Billing information" ], "summary": "Find billing information of a user", "description": "Returns billing information of a user", "operationId": "Show", "produces": [ "application/xml", "application/json" ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "Pet not found" } } } }, "/datalog": { "get": { "tags": [ "Datalog" ], "summary": "Find all Datalog", "description": "Returns all Datalog", "operationId": "index", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "filter.*.attribute", "in": "path", "description": "Filter Attribute. Ex: id", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.operator", "in": "path", "description": "Filter Operator. Ex: =", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.value", "in": "path", "description": "Filter Value. Ex: 1", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.scope", "in": "path", "description": "Filter Scope. Ex: local", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "included", "in": "path", "description": "Include model relationships", "required": false, "type": "string" }, { "name": "per_page", "in": "path", "description": "Load N entries per page", "required": false, "type": "integer" }, { "name": "page", "in": "path", "description": "Load page N", "required": false, "type": "integer" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model, Method or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/actions": { "get": { "tags": [ "Datalog" ], "summary": "Find all Actions", "description": "Returns all Actions", "operationId": "Actions", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "filter.*.attribute", "in": "path", "description": "Filter Attribute. Ex: id", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.operator", "in": "path", "description": "Filter Operator. Ex: =", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.value", "in": "path", "description": "Filter Value. Ex: 1", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.scope", "in": "path", "description": "Filter Scope. Ex: local", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "included", "in": "path", "description": "Include model relationships", "required": false, "type": "string" }, { "name": "per_page", "in": "path", "description": "Load N entries per page", "required": false, "type": "integer" }, { "name": "page", "in": "path", "description": "Load page N", "required": false, "type": "integer" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model, Method or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/permissions": { "get": { "tags": [ "Permissions" ], "summary": "Find All the permissions", "description": "Returns all the permissions", "operationId": "index", "produces": [ "application/xml", "application/json" ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "Pet not found" } } }, "post": { "tags": [ "Permissions" ], "summary": "Create Permission", "description": "Return Permission Created", "operationId": "Create", "produces": [ "application/xml", "application/json" ], "parameters": [ { "name": "name", "in": "formData", "description": "The name of permission", "required": true, "type": "string" }, { "name": "description", "in": "formData", "description": "The description of permission", "required": true, "type": "string" } ], "responses": { "200": { "description": "successful operation" }, "500": { "description": "Error created" } }, "security": [ { "api_key": [] } ] }, "patch": { "tags": [ "Permissions" ], "summary": "Update Permission", "description": "Update Permission", "operationId": "UpdatePermission", "produces": [ "application/xml", "application/json" ], "parameters": [ { "name": "id", "in": "formData", "description": "The permission that needs to be updated", "required": true, "type": "integer" }, { "name": "name", "in": "formData", "description": "The name of permission", "required": true, "type": "string" }, { "name": "description", "in": "formData", "description": "The description of permission", "required": true, "type": "string" } ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "500": { "description": "Error update permission" } }, "security": [ { "api_key": [] } ] } }, "/permissions/{permission}": { "get": { "tags": [ "Permissions" ], "summary": "Find a specific permission", "description": "Returns a specific permissions", "operationId": "show", "produces": [ "application/xml", "application/json" ], "parameters": [ { "name": "permission", "in": "path", "description": "The permission that needs get information", "required": true, "type": "integer" } ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "Pet not found" } } } }, "/roles": { "get": { "tags": [ "Roles" ], "summary": "Find All the roles", "description": "Returns all the roles", "operationId": "index", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "filter.*.attribute", "in": "path", "description": "Filter Attribute. Ex: id", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.operator", "in": "path", "description": "Filter Operator. Ex: =", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.value", "in": "path", "description": "Filter Value. Ex: 1", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.scope", "in": "path", "description": "Filter Scope. Ex: local", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "included", "in": "path", "description": "Include model relationships", "required": false, "type": "string" }, { "name": "per_page", "in": "path", "description": "Load N entries per page", "required": false, "type": "integer" }, { "name": "page", "in": "path", "description": "Load page N", "required": false, "type": "integer" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model, Method or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] }, "post": { "tags": [ "Roles" ], "summary": "Create Role", "description": "Return Role Created", "operationId": "Create", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "name", "in": "formData", "description": "The name of role", "required": true, "type": "string" }, { "name": "display_name", "in": "formData", "description": "The name of how it will displayed", "required": true, "type": "string" }, { "name": "description", "in": "formData", "description": "The description of role", "required": true, "type": "string" }, { "name": "role_id", "in": "formData", "description": "The role father", "required": true, "type": "integer" }, { "name": "admin", "in": "formData", "description": "Temp: Mark as admin role", "required": false, "type": "integer" }, { "name": "user_id", "in": "formData", "description": "The ID of the user that made the action", "required": true, "type": "integer" } ], "responses": { "201": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "422": { "description": "Invalid fields supplied" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] }, "patch": { "tags": [ "Roles" ], "summary": "Update the Role", "description": "Updates a Role", "operationId": "UpdateRole", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "id", "in": "formData", "description": "The ID of the Role", "required": true, "type": "integer" }, { "name": "display_name", "in": "formData", "description": "The name of how it will displayed", "required": false, "type": "string" }, { "name": "description", "in": "formData", "description": "The description of role", "required": false, "type": "string" }, { "name": "role_id", "in": "formData", "description": "The role father", "required": false, "type": "integer" }, { "name": "admin", "in": "formData", "description": "Temp: Mark as admin role", "required": false, "type": "integer" }, { "name": "user_id", "in": "formData", "description": "The ID of the user that made the action", "required": true, "type": "integer" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "422": { "description": "Invalid fields supplied" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/roles/{role}": { "get": { "tags": [ "Roles" ], "summary": "Find a specific Role", "description": "Returns a specific Role", "operationId": "show", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "id", "in": "path", "description": "The ID of the Role", "required": true, "type": "integer" }, { "name": "included", "in": "path", "description": "Include model relationships", "required": false, "type": "string" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/roles/permissions": { "put": { "tags": [ "Role" ], "summary": "Associates permissions to the Role", "description": "Note: Removes the previous associated permissions", "operationId": "permissions", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "id", "in": "formData", "description": "The ID of the Role", "required": true, "type": "integer" }, { "name": "permissions", "in": "formData", "description": "The role permissions ids", "required": true, "type": "array", "items": { "type": "integer" } } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "422": { "description": "Invalid fields supplied" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/roles/{id}": { "delete": { "tags": [ "Role" ], "summary": "Delete Role", "description": "Deletes an existing Role.", "operationId": "deleteRole", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "id", "in": "path", "description": "The ID of the Role", "required": true, "type": "integer" }, { "name": "hard", "in": "path", "description": "Make a Hard-Delete", "required": false, "type": "boolean" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Model not found" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/tickets": { "get": { "tags": [ "Tickets" ], "summary": "Find All the tickets", "description": "Returns all the tickets", "operationId": "index", "produces": [ "application/xml", "application/json" ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "Pet not found" } } } }, "/tickets/{ticket}": { "get": { "tags": [ "Tickets" ], "summary": "Find a specific tickets", "description": "Returns a specific tickets", "operationId": "Show", "produces": [ "application/xml", "application/json" ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "Pet not found" } } } }, "/commuting/user-plans": { "get": { "tags": [ "User Plans" ], "summary": "Find all User Plans", "description": "Returns all User Plans", "operationId": "index", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "filter.*.attribute", "in": "path", "description": "Filter Attribute. Ex: id", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.operator", "in": "path", "description": "Filter Operator. Ex: =", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.value", "in": "path", "description": "Filter Value. Ex: 1", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.scope", "in": "path", "description": "Filter Scope. Ex: local", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "included", "in": "path", "description": "Include model relationships", "required": false, "type": "string" }, { "name": "per_page", "in": "path", "description": "Load N entries per page", "required": false, "type": "integer" }, { "name": "page", "in": "path", "description": "Load page N", "required": false, "type": "integer" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/commuting/user-plans/{id}": { "get": { "tags": [ "User Plans" ], "summary": "Find a specific User Plan", "description": "Returns a specific User Plan", "operationId": "show", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "id", "in": "path", "description": "The ID of the User Plan", "required": true, "type": "integer" }, { "name": "included", "in": "path", "description": "Include model relationships", "required": false, "type": "string" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/commuting/routes/{id}/reservations": { "get": { "tags": [ "User Plans" ], "summary": "Find all Reservations from a Route", "description": "Returns all Commuting Reservations from a Route", "operationId": "routeReservations", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "id", "in": "path", "description": "The ID of the Route", "required": true, "type": "integer" }, { "name": "filter.*.attribute", "in": "path", "description": "Filter Attribute. Ex: id", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.operator", "in": "path", "description": "Filter Operator. Ex: =", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.value", "in": "path", "description": "Filter Value. Ex: 1", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.scope", "in": "path", "description": "Filter Scope. Ex: local", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "included", "in": "path", "description": "Include model relationships", "required": false, "type": "string" }, { "name": "per_page", "in": "path", "description": "Load N entries per page", "required": false, "type": "integer" }, { "name": "page", "in": "path", "description": "Load page N", "required": false, "type": "integer" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/commuting/user-plans/create": { "post": { "tags": [ "User Plans" ], "summary": "Create a user plan", "description": "Create a user plan", "operationId": "create", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "site_id", "in": "body", "description": "The id of site", "required": true, "schema": { "type": "integer", "example": "27" } }, { "name": "user_create", "in": "body", "description": "The email user that create subscription", "required": true, "schema": { "type": "string", "example": "superadmin@busup.com" } }, { "name": "start_timestamp", "in": "body", "description": "Start subscription", "required": true, "schema": { "type": "string", "example": "2020-11-06 00:00:00" } }, { "name": "end_timestamp", "in": "body", "description": "End Subscription", "required": true, "schema": { "type": "string", "example": "2020-11-12 00:00:00" } }, { "name": "renewal", "in": "body", "description": "If subscription is automatic renewal", "required": true, "schema": { "type": "integer", "example": "1" } }, { "name": "employee_id", "in": "body", "description": "Id of employee subscription", "required": true, "schema": { "type": "integer", "example": "636" } }, { "name": "rate_going_id", "in": "body", "description": "The id of going rate", "required": false, "schema": { "type": "integer", "example": "399" } }, { "name": "route_stop_id_going", "in": "body", "description": "The id of origin stop of going route", "required": false, "schema": { "type": "integer", "example": "68407" } }, { "name": "route_stop_id_destination_going", "in": "body", "description": "The id of destination stop of going route", "required": false, "schema": { "type": "integer", "example": "68408" } }, { "name": "rate_return_id", "in": "body", "description": "The id of return rate", "required": false, "schema": { "type": "integer", "example": "320" } }, { "name": "route_stop_id_return", "in": "body", "description": "The id of origin stop of return route", "required": false, "schema": { "type": "integer", "example": "63255" } }, { "name": "route_stop_id_destination_return", "in": "body", "description": "The id of destination stop of return route", "required": false, "schema": { "type": "integer", "example": "63256" } } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/commuting/user-plans/information-route-rate-plan/{routesRateUserPlans}": { "get": { "tags": [ "RoutesRatesUserPlans" ], "summary": "Find a route rates user plans", "description": "Returns a route rates user plans", "operationId": "ShowRouteRatePlan", "produces": [ "application/xml", "application/json" ], "responses": { "200": { "description": "successful operation" }, "400": { "description": "Invalid ID supplied" }, "404": { "description": "Pet not found" } } } }, "/commuting/user-plans/cancelation-journey-plan": { "post": { "tags": [ "RoutesRatesUserPlans" ], "summary": "Cancel a Travel/UserPlan", "description": "Cancel a Travel/UserPlan form RoutesRatesUserPlans", "operationId": "cancelationJourneyPlan", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "canceled_by_user", "in": "formData", "description": "The ID of the Admin that triggers the cancelation", "required": true, "type": "integer" }, { "name": "route_rate_user_plans_id", "in": "formData", "description": "The ID of the Travel/UserPlan from RoutesRatesUserPlans", "required": true, "type": "integer" }, { "name": "amount", "in": "formData", "description": "Amount to refund. This value is multiplied by 100 to be an integer", "required": true, "type": "integer" }, { "name": "credits", "in": "formData", "description": "Credits to refund. The value is multiplied by 100 to be an integer", "required": true, "type": "integer" }, { "name": "date_canceled", "in": "formData", "description": "Date of cancelation in UTC. If the date is in the future, the cancelation will be scheduled", "required": true, "type": "string" }, { "name": "transaction", "in": "formData", "description": "A token of an external transaction that represents the refund", "required": false, "type": "string" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/users": { "get": { "tags": [ "User" ], "summary": "Find all Users", "description": "Returns all Users", "operationId": "index", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "filter.*.attribute", "in": "path", "description": "Filter Attribute. Ex: id", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.operator", "in": "path", "description": "Filter Operator. Ex: =", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.value", "in": "path", "description": "Filter Value. Ex: 1", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.scope", "in": "path", "description": "Filter Scope. Ex: local", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "included", "in": "path", "description": "Include model relationships", "required": false, "type": "string" }, { "name": "per_page", "in": "path", "description": "Load N entries per page", "required": false, "type": "integer" }, { "name": "page", "in": "path", "description": "Load page N", "required": false, "type": "integer" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model, Method or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] }, "post": { "tags": [ "User" ], "summary": "Create User", "description": "Return User Created", "operationId": "Create", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "email", "in": "formData", "description": "The email user", "required": true, "type": "string" }, { "name": "password", "in": "formData", "description": "The password user", "required": true, "type": "string" }, { "name": "first_name", "in": "formData", "description": "The name user", "required": true, "type": "string" }, { "name": "last_name", "in": "formData", "description": "The lastname user", "required": true, "type": "string" }, { "name": "phone_number", "in": "formData", "description": "The phone number user", "required": false, "type": "string" }, { "name": "language_id", "in": "formData", "description": "The user language id", "required": false, "type": "integer" } ], "responses": { "201": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "422": { "description": "Invalid fields supplied" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] }, "patch": { "tags": [ "User" ], "summary": "Update the User", "description": "Updates a User", "operationId": "UpdateUser", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "id", "in": "formData", "description": "The ID of the User", "required": true, "type": "integer" }, { "name": "email", "in": "formData", "description": "The email user", "required": true, "type": "string" }, { "name": "first_name", "in": "formData", "description": "The name user", "required": true, "type": "string" }, { "name": "last_name", "in": "formData", "description": "The lastname user", "required": true, "type": "string" }, { "name": "phone_number", "in": "formData", "description": "The phone number user", "required": false, "type": "string" }, { "name": "language_id", "in": "formData", "description": "The language id of user", "required": false, "type": "integer" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "422": { "description": "Invalid fields supplied" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/users/{id}": { "get": { "tags": [ "User" ], "summary": "Find a specific User", "description": "Returns a specific User", "operationId": "show", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "id", "in": "path", "description": "The ID of the User", "required": true, "type": "integer" }, { "name": "included", "in": "path", "description": "Include model relationships", "required": false, "type": "string" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] }, "delete": { "tags": [ "User" ], "summary": "Delete User", "description": "Deletes an existing User.", "operationId": "deleteUser", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "id", "in": "path", "description": "The ID of the User", "required": true, "type": "integer" }, { "name": "hard", "in": "path", "description": "Make a Hard-Delete", "required": false, "type": "boolean" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Model not found" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/userProfile": { "get": { "tags": [ "User" ], "summary": "Find Users Login", "description": "Returns Users Login", "operationId": "ShowUserToken", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "included", "in": "path", "description": "Include model relationships", "required": false, "type": "string" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/users/profile": { "patch": { "tags": [ "User" ], "summary": "Update Profile User", "description": "Update Profile User", "operationId": "UpdateProfile", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "first_name", "in": "formData", "description": "The name user", "required": false, "type": "string" }, { "name": "last_name", "in": "formData", "description": "The lastname user", "required": false, "type": "string" }, { "name": "phone_number", "in": "formData", "description": "The phone number user", "required": false, "type": "string" }, { "name": "language_id", "in": "formData", "description": "The language id of user", "required": false, "type": "integer" }, { "name": "picture", "in": "formData", "description": "The image of user", "required": false, "type": "string" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "422": { "description": "Invalid fields supplied" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/users/countries": { "put": { "tags": [ "User" ], "summary": "Associates countries to the User", "description": "Note: Removes the previous associated countries", "operationId": "countries", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "id", "in": "formData", "description": "The ID of the User", "required": true, "type": "integer" }, { "name": "countries", "in": "formData", "description": "The user countries ids", "required": true, "type": "array", "items": { "type": "integer" } } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "422": { "description": "Invalid fields supplied" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/users/roles": { "put": { "tags": [ "User" ], "summary": "Associates roles to the user", "description": "Note: Removes the previous associated roles", "operationId": "roles", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "id", "in": "formData", "description": "The ID that represents a User", "required": true, "type": "integer" }, { "name": "roles", "in": "formData", "description": "The user roles ids", "required": true, "type": "array", "items": { "type": "integer" } } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "422": { "description": "Invalid fields supplied" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/users/password/request-reset": { "post": { "tags": [ "User" ], "summary": "Request reset password", "description": "Request reset password", "operationId": "requestResetPassword", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "email", "in": "formData", "description": "The user email", "required": true, "type": "string" } ], "responses": { "200": { "description": "Successful operation" }, "404": { "description": "User not found" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/users/password/check-reset-token": { "post": { "tags": [ "User" ], "summary": "Check reset password token", "description": "Check reset password token", "operationId": "checkResetPasswordToken", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "token", "in": "formData", "description": "The token", "required": true, "type": "string" } ], "responses": { "200": { "description": "Successful operation" }, "404": { "description": "Token not found" } }, "security": [ { "api_key": [] } ] } }, "/users/password/reset": { "post": { "tags": [ "User" ], "summary": "Reset User Password", "description": "Sets a new password", "operationId": "resetPassword", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "token", "in": "formData", "description": "The token", "required": true, "type": "string" }, { "name": "password", "in": "formData", "description": "The new password", "required": true, "type": "string" } ], "responses": { "200": { "description": "Successful operation" }, "404": { "description": "Token or User not found" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/users/change-password": { "post": { "tags": [ "User" ], "summary": "Change User Password", "description": "Change User Password", "operationId": "changePassword", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "curr_password", "in": "formData", "description": "The current user password", "required": true, "type": "string" }, { "name": "new_password", "in": "formData", "description": "The newer user password", "required": true, "type": "string" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "422": { "description": "Invalid password supplied" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/users/logout": { "get": { "tags": [ "User" ], "summary": "LogOut User", "description": "Logs out the User", "operationId": "logout", "produces": [ "application/vnd.api+json, application/json" ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } }, "/users_admins": { "get": { "tags": [ "User" ], "summary": "Find All Users", "description": "Returns all Users", "operationId": "index", "produces": [ "application/vnd.api+json, application/json" ], "parameters": [ { "name": "filter.*.attribute", "in": "path", "description": "Filter Attribute. Ex: id", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.operator", "in": "path", "description": "Filter Operator. Ex: =", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.value", "in": "path", "description": "Filter Value. Ex: 1", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "filter.*.scope", "in": "path", "description": "Filter Scope. Ex: local", "required": false, "type": "array", "items": { "type": "string" } }, { "name": "included", "in": "path", "description": "Include model relationships", "required": false, "type": "string" }, { "name": "per_page", "in": "path", "description": "Load N entries per page", "required": false, "type": "integer" }, { "name": "page", "in": "path", "description": "Load page N", "required": false, "type": "integer" } ], "responses": { "200": { "description": "Successful operation" }, "401": { "description": "Unauthenticated" }, "404": { "description": "Not found: Model, Method or Relationship" }, "500": { "description": "The action could not be completed" } }, "security": [ { "api_key": [] } ] } } }, "definitions": {} }